<?php

use Illuminate\Database\Seeder;
use App\Services\Helper;

class PostsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('posts')->insert([
            [
                'id' => 1,
                'adminid' => 1,
                'uid' => 0,
                'category_id' => 1,
                'tags' => '默认文章,你好世界！',
                'title' => '你好，世界！',
                'name' => 'hello',
                'author' => 'tangtanglove',
                'source' => '1',
                'description' => 'Hello, world”程序是指在计算机屏幕上输出“Hello,world”这行字符串的计算机程序，“hello, world”的中文意思是“你好，世界。”。这个例程在Brian Kernighan 和Dennis M. Ritchie合著的《The C Programme Language》使用而广泛流行。',
                'password' => '',
                'cover_ids' => '',
                'pid' => 0,
                'level' => 0,
                'type' => 'ARTICLE',
                'position' => 1,
                'link' => '',
                'content' => '“Hello, world”程序是指在计算机屏幕上输出“Hello,world”这行字符串的计算机程序，“hello, world”的中文意思是“你好，世界。”。这个例程在Brian Kernighan 和Dennis M. Ritchie合著的《The C Programme Language》使用而广泛流行。因为它的简洁，实用，并包含了一个该版本的C程序首次出现在1974年Brian Kernighan所撰写的《Programming in C: A Tutorial》',
                'comment' => 0,
                'view' => 0,
                'page_tpl' => '',
                'comment_status' => 'open',
                'status' => 1,
                'file_id' => 0,
                'created_at' => date('Y-m-d H:i:s',time()),
                'updated_at' => date('Y-m-d H:i:s',time())
            ],
            [
                'id' => 2,
                'adminid' => 1,
                'uid' => 0,
                'category_id' => 1,
                'tags' => '使用说明,配置手册',
                'title' => '使用说明',
                'name' => 'doc',
                'author' => 'tangtanglove',
                'source' => '本站',
                'description' => '说明书多种多样，说明书的写作格式也不拘一格，不可一概而论。本文将举出一些常见的说明书的具体例子，以期使读者对此有一明确的认识。',
                'password' => '',
                'cover_id' => '',
                'pid' => 0,
                'level' => 0,
                'type' => 'ARTICLE',
                'position' => 0,
                'link' => '',
                'content' => 'https://www.kancloud.cn/tangtanglove/easyadmin/435582',
                'comment' => 0,
                'view' => 0,
                'page_tpl' => '',
                'comment_status' => 'open',
                'status' => 1,
                'file_id' => 0,
                'created_at' => date('Y-m-d H:i:s',time()),
                'updated_at' => date('Y-m-d H:i:s',time())
            ],
            [
                'id' => 3,
                'adminid' => 1,
                'uid' => 0,
                'category_id' => 1,
                'tags' => '开发文档,帮助文件',
                'title' => '开发文档',
                'name' => 'help',
                'author' => 'tangtanglove',
                'source' => '本站',
                'description' => '软件开发文档是软件开发使用和维护过程中的必备资料。它能提高软件开发的效率，保证软件的质量，而且在软件的使用过程中有指导，帮助，解惑的作用，尤其在维护工作中，文档是不可或缺的资料。',
                'password' => '',
                'cover_id' => '',
                'pid' => 0,
                'level' => 0,
                'type' => 'ARTICLE',
                'position' => 0,
                'link' => '',
                'content' => 'https://www.kancloud.cn/tangtanglove/easyadmin/435582',
                'comment' => 0,
                'view' => 0,
                'page_tpl' => '',
                'comment_status' => 'open',
                'status' => 1,
                'file_id' => 0,
                'created_at' => date('Y-m-d H:i:s',time()),
                'updated_at' => date('Y-m-d H:i:s',time())
            ],
            [
                'id' => 4,
                'adminid' => 1,
                'uid' => 0,
                'category_id' => 1,
                'tags' => '关于我们,介绍',
                'title' => '关于我们',
                'name' => 'aboutus',
                'author' => 'tangtanglove',
                'source' => '本站',
                'description' => '关于我们,介绍',
                'password' => '',
                'cover_id' => '',
                'pid' => 0,
                'level' => 0,
                'type' => 'PAGE',
                'position' => 0,
                'link' => '',
                'content' => '这是一个关于我们的文章，您可以填一下介绍什么的。',
                'comment' => 0,
                'view' => 0,
                'page_tpl' => 'page/index',
                'comment_status' => 'open',
                'status' => 1,
                'file_id' => 0,
                'created_at' => date('Y-m-d H:i:s',time()),
                'updated_at' => date('Y-m-d H:i:s',time())
            ],
            [
                'id' => 5,
                'adminid' => 1,
                'uid' => 0,
                'category_id' => 1,
                'tags' => '帮助中心,帮助',
                'title' => '帮助中心',
                'name' => 'help',
                'author' => 'tangtanglove',
                'source' => '本站',
                'description' => '帮助中心,帮助',
                'password' => '',
                'cover_id' => '',
                'pid' => 0,
                'level' => 0,
                'type' => 'PAGE',
                'position' => 0,
                'link' => '',
                'content' => '这是一个帮助中心的文章，您可以填一下帮助什么的。',
                'comment' => 0,
                'view' => 0,
                'page_tpl' => 'page/index',
                'comment_status' => 'open',
                'status' => 1,
                'file_id' => 0,
                'created_at' => date('Y-m-d H:i:s',time()),
                'updated_at' => date('Y-m-d H:i:s',time())
            ],
       ]);
    }
}
